> For the complete documentation index, see [llms.txt](https://docs.hostedhooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hostedhooks.com/developer-resources/components/endpoint.md).

# Endpoint

## What Are Endpoints?

An Endpoint is where your App's Subscribers will define where they want  to receive the webhook messages.&#x20;

The Endpoint has the following parameters:

* URL
* Description
* Version

#### URL

This is a full URL with the protocol, domain and path (example below) to where your Subscriber wants to receive their webhook messages.&#x20;

```
https://hostedhooks.com/r/a2ad45asafa2asad998asf
```

#### Description

A  way to organize your endpoints with a simple text description.&#x20;

![](/files/-MYIORxUOeI6mvVhNENL)

#### Version

This is a custom string that denotes what version of the webhook the specific Endpoint is configured for. This number allows the providers to upgrade webhook payloads without breaking the existing Endpoint implementations. Your subscribers will only be able to select from existing versions.&#x20;

![](/files/-MYIObOHfrnAqXZBDyEY)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hostedhooks.com/developer-resources/components/endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
